Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces
uniqueiterator.h File Reference
`#include <set>`
`#include <tulip/memorypool.h>`
Include dependency graph for uniqueiterator.h:

## Classes

- class tlp::CheckAllFunctor< TYPE >
    that class implement a default functor that always return true More...
- class tlp::UniqueIterator< TYPE, TOCHECKFUNCTOR >
    UniqueIterator enables to remove duplicated elements in an iterator. More...
- class tlp::MPUniqueIterator< TYPE, TOCHECKFUNCTOR >
    MPUniqueIterator implements memory pool for UniqueIterator. More...

## Namespaces

- namespace tlp

Tulip Software by LaBRI Visualization Team 2001 - 2012